# FdoFunctionDefinition Class Reference

`#include <FunctionDefinition.h>`

Inheritance diagram for FdoFunctionDefinition:

[legend]

List of all members.

## Detailed Description

The FdoFunctionDefinition class contains metadata that describes a function and its arguments.

Definition at line 35 of file FunctionDefinition.h.

## Public Member Functions
virtual FDO_API FdoBoolean | CanSetName ()
| Indicates that this object allows its name to change. This function is defined so that this class can be a FdoNamedCollection element.
FDO_API FdoReadOnlyArgumentDefinitionCollection * | GetArguments ()
| Gets an array of FdoArgumentDefinition objects required for the function.
FDO_API FdoString * | GetDescription ()
| Gets a brief description of the function.
virtual FDO_API FdoFunctionCategoryType | GetFunctionCategoryType ()
| Returns the category for the function described in the current function definition.
FDO_API FdoString * | GetName ()
| Gets the name of the function.
FDO_API FdoPropertyType | GetReturnPropertyType ()
| Gets the FdoPropertyType of the function return value.
FDO_API FdoDataType | GetReturnType ()
| Gets the FdoDataType of the function return value. This is only valid if the function return property type is FdoPropertyType_DataProperty.
FDO_API FdoReadOnlySignatureDefinitionCollection * | GetSignatures ()
| Gets an array of FdoSignatureDefinition objects that describe the different signatures supported by the function.
FDO_API bool | IsAggregate ()
| Returns true if the function is an aggregate function and false if it is a simple function.
## Static Public Member Functions
static FDO_API FdoFunctionDefinition * | Create (FdoString *name, FdoString *description, bool isAggregate, FdoSignatureDefinitionCollection *signatures, FdoFunctionCategoryType functionCategoryType=FdoFunctionCategoryType_Unspecified)
| Constructs an instance of an FdoFunctionDefinition using the specified arguments.
static FDO_API FdoFunctionDefinition * | Create (FdoString *name, FdoString *description, FdoPropertyType returnPropertyType, FdoDataType returnType, FdoArgumentDefinitionCollection *arguments, FdoFunctionCategoryType functionCategoryType=FdoFunctionCategoryType_Unspecified)
| Constructs an instance of an FdoFunctionDefinition using the specified arguments.
static FDO_API FdoFunctionDefinition * | Create (FdoString *name, FdoString *description, FdoDataType returnType, FdoArgumentDefinitionCollection *arguments, FdoFunctionCategoryType functionCategoryType=FdoFunctionCategoryType_Unspecified)
| Constructs an instance of an FdoFunctionDefinition using the specified arguments.
## Protected Attributes
wchar_t * | m_description
FdoFunctionCategoryType | m_functionCategoryType
bool | m_isAggregate
wchar_t * | m_name
FdoReadOnlySignatureDefinitionCollection * | m_signatures

The documentation for this class was generated from the following file:

- FunctionDefinition.h